Subject: sizeof( struct) in DOS( borlandc) is different in GNU (linux)
From: [email-masked] (Jose Freddy Rojas Chavarria)

11 Sep 1997 16:22:55 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hello
My name is Freddy.I need technical support.

I have a binary files recorded by a program in BorlandC for DOS, and I
can't read this file in Linux.

The file is a colection of records of the type
struct {
  char usr_id;
  long info;
}T_info;

The sizeof(T_info) is 5 in BorlandC with the byte align option, is 6
with the word align option.  But in gnu (linux or Solaris) it is always
8 bytes (32 bits align).

I want to know if exist a compiler option switch to turn the align to
condition to byte.

I don't know if your windows version have this condition or not.

Could you help?
If you don't know about this problem. Could you give me the e-mail of
somebody to ask?

Tank you
Freddy
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".